package function.builtin.special;

import function.*;
import sexpression.*;

public class QUOTE extends LispFunction {

    private ArgumentValidator argumentValidator;

    public QUOTE() {
        this.argumentValidator = new ArgumentValidator("QUOTE");
        this.argumentValidator.setExactNumberOfArguments(1);
    }

    public SExpression call(Cons argumentList) {
        argumentValidator.validate(argumentList);

        return argumentList.getCar();
    }

    public boolean evaluateArguments() {
        return false;
    }

}
